Reader
Date: 2016-06-24

java.io

## Class Reader

- java.lang.Object
- - java.io.Reader

- Direct Known Subclasses:
    BufferedReader, CharArrayReader, FilterReader, InputStreamReader, PipedReader, StringReader

      public abstract class Reader
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `lock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Reader()`
    `protected` | `Reader(Object var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `void` | `mark(int var0)`
    `boolean` | `markSupported()`
    `int` | `read()`
    `int` | `read(char[] var0)`
    `abstract int` | `read(char[] var0, int var1, int var2)`
    `boolean` | `ready()`
    `void` | `reset()`
    `long` | `skip(long var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lock

          protected Object lock

  - ### Constructor Detail

    - #### Reader

          protected Reader()

    - #### Reader

          protected Reader(Object var0)

  - ### Method Detail

    - #### close

          public abstract void close()
                              throws IOException

      Throws:
        `IOException`

    - #### mark

          public void mark(int var0)
                    throws IOException

      Throws:
        `IOException`

    - #### markSupported

          public boolean markSupported()

    - #### read

          public int read()
                   throws IOException

      Throws:
        `IOException`

    - #### read

          public int read(char[] var0)
                   throws IOException

      Throws:
        `IOException`

    - #### read

          public abstract int read(char[] var0,
                 int var1,
                 int var2)
                            throws IOException

      Throws:
        `IOException`

    - #### ready

          public boolean ready()
                        throws IOException

      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Throws:
        `IOException`

    - #### skip

          public long skip(long var0)
                    throws IOException

      Throws:
        `IOException`